+++
title = "htmx 0.3.0 has been released!"
date = 2020-10-27
[taxonomies]
tag = ["posts", "announcements"]
+++

## htmx 0.3.0 Release

I'm pleased to announce the [0.3 release](https://unpkg.com/browse/htmx.org@0.3.0/) of htmx.  Due to a big testing
push I'm happy to say that htmx now has **98.4%** test coverage.

That said, this release involves some major surgery on trigger parsing, in particular, so please try it out and let
me know if you see anything funny.

### Changes

#### New Features

* `hx-trigger` parsing has been rewritten and now supports [trigger filters](@/docs.md#trigger-filters) to filter
  events based on arbitrary javascript expressions
* htmx now supports two additional response headers `HX-Trigger-After-Swap` and `HX-Trigger-After-Settle` allowing
  an event to be triggered after a given life cycle event (instead of before the swap)
* The `requestConfig` is now passed out to events surrounding the AJAX life cycle
* Evaluate `<script>` tags as javascript when no language is defined on them
* A new [`event-header`](https://github.com/bigskysoftware/htmx-extensions/blob/main/src/event-header/README.md) extension, which will include a serialized JSON representation of
  the triggering event in requests

#### Bug Fixes

* Ignore non-elements when triggering post-swap events (avoid multiple event triggers when content exists)
* Catch errors when attempting to save local history so site continues to function

Enjoy!
