+++
title = "htmx 0.1.2 has been released!"
date = 2020-09-18
[taxonomies]
tag = ["posts", "announcements"]
+++

## htmx 0.1.2 Release

I'm pleased to announce the [0.1.2 release](https://unpkg.com/browse/htmx.org@0.1.2/) of htmx as well as the first non-alpha hyperscript
release [0.0.2 hyperscript](https://unpkg.com/hyperscript.org@0.0.2).

### Changes

#### Breaking Changes

* The SSE attribute `hx-sse` and the Web Sockets attribute `hx-ws` have changed syntax to now use colon separators: `hx-sse='connect:/chat swap:message'`
* Hyperscript no longer requires a `_hyperscript.start()` call to initialize.

#### New Features

* The SSE attribute `hx-sse` allows for swapping content directly on an event, in addition to triggering an htmx element,
with the new `swap:<event name>` syntax.
* [`hx-target`](@/attributes/hx-target.md) now supports a `find` syntax to find elements below the element by a CSS selector
* htmx plays better with deferred loading and many package managers
* All htmx events are dispatched in both camelCase as well as kebab-case, for better compatibility with AlpineJS and other frameworks.  (e.g. `htmx:afterOnLoad` will also be triggered as
`htmx:after-on-load`)

#### Bug Fixes

* The synthetic `revealed` trigger event is much less of a CPU hog
* Multi-select elements now send all values
* Exotic element IDs do not break DOM processing
* Exotic attribute values do not break the settling phase
* Hyperscript now supports `$` and `_` in function calls
* Hyperscript now supports empty parameter lists

Enjoy!
