+++
title = "htmx 1.9.3 has been released!"
date = 2023-07-14
[taxonomies]
tag = ["posts", "announcements"]
+++

## htmx 1.9.3 Release

I'm happy to announce the [1.9.3 release](https://unpkg.com/browse/htmx.org@1.9.3/) of htmx.

### New Features

* The `hx-on` attribute has been deprecated (sorry) in favor of `hx-on:<event name>` attributes.  See [`hx-on`](/attributes/hx-on) for more information.
* You can now configure if a type of HTTP request uses the body for parameters or not.  In particular, the `DELETE` _should_ use
  query parameters, according to the spec.  htmx has used the body, instead.  To avoid breaking code we are keeping this undefined
  behavior for now, but allowing people to fix it for their use cases by updating the `htmx.config.methodsThatUseUrlParams` config
  option.  Thank you to Alex and Vincent for their feedback and work on this issue!
* The `this` symbol is now available in event filter expressions, and refers to the element the `hx-trigger` is on
* The `HX-Reselect` HTTP response header has been added to change the selection from the returned content

### Improvements & Bug fixes

* We now have functioning CI using GitHub actions!
* Fix bug where the `htmx:afterSettle` event was raised multiple times with oob swaps occurred
* A large number of accessibility fixes were made in the docs (Thank you Denis & crew!)
* Fixed bug w/ WebSocket extension initialization caused by "naked" `hx-trigger` feature
* Many other smaller bug fixes

Thank you to everyone who contributed, and enjoy!
